Page MenuHomePhabricator

Several permission changes for he.wikisource
Closed, ResolvedPublic

Description

Hello
Please add to the file local settings.php at hewikisource The following lines:

$wgRemoveGroups['bureaucrat'][] = 'bureaucrat';
$wgRemoveGroups['bureaucrat'][] = 'sysop';
$wgRemoveGroups['bureaucrat'][] = 'import';
$wgAddGroups['bureaucrat'][] = 'import';
$wgAddGroups['sysop'][] = 'reviewer';
$wgGroupPermissions['reviewer']['Rollback'] = true;
$wgRemoveGroups['bureaucrat'][] = 'transwiki';
$wgAddGroups['bureaucrat'][] = 'transwiki';

https://he.wikisource.org/wiki/ויקיטקסט:מזנון#הצבעה_-_אופציות_למפעילים

Event Timeline

It would be very useful and appreciated to actually describe what you want to approach (and ideally also why), rather than pasting a code snippet for LocalSettings.php (which is not actually used at Wikimedia wikis; we use InitialiseSettings.php instead, which uses a different format).

It sounds you want to (please see my inline comments for questions/clarification requests):

  • Allow bureaucrats to remove bureaucrat/sysop status

According to https://meta.wikimedia.org/wiki/Limits_to_configuration_changes, allowing bureaucrats to revoke bureaucrat status may not be done at any Wikimedia project, and can be performed only by Wikimedia stewards. If your community wishes to demote a particular bureaucrat, please place a reuqest at https://meta.wikimedia.org/wiki/SRP, and link community consensus.

According to the same page, bureaucrats can remove administrator status, but only in exceptional circumstances, only very large wikis may grant this ability to bureaucrats. I don't see a large amount of requests at https://meta.wikimedia.org/wiki/SRP, and according to the number of sysops and bureaucrats, he.wikisource is also not a sufficiently large wiki.

Can you explain why bureaucrats should be able to remove sysop status on your wiki, please?

  • Allow bureaucrats to grant/revoke (transwiki) import status
  • Allow reviewers to rollback
  • Allow administrators to grant/revoke reviewer status

Those three requests can be done, and will be done as soon as you confirm that is what your community desires.

Urbanecm renamed this task from local settings.php at hewikisource to Several permission changes for he.wikisource.Feb 15 2021, 4:33 PM

Change 664893 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] hewikisource: Add bureaucrats the ability to grant/revoke (trans)import

https://gerrit.wikimedia.org/r/664893

Change 664894 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] hewikisource: Allow reviewers to rollback

https://gerrit.wikimedia.org/r/664894

Change 664893 merged by jenkins-bot:
[operations/mediawiki-config@master] hewikisource: Add bureaucrats the ability to grant/revoke (trans)import

https://gerrit.wikimedia.org/r/664893

Mentioned in SAL (#wikimedia-operations) [2021-02-17T19:42:27Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: 88e6ebc5565a7a0b1431dd5f52c701d8df641990: hewikisource: Add bureaucrats the ability to grant/revoke (trans)import (T274796) (duration: 01m 09s)

Change 664894 merged by jenkins-bot:
[operations/mediawiki-config@master] hewikisource: Allow reviewers to rollback

https://gerrit.wikimedia.org/r/664894

Mentioned in SAL (#wikimedia-operations) [2021-02-17T19:45:46Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: 2e521f76c195ab50ab28a7d4812a35ceac246907: hewikisource: Allow reviewers to rollback (T274796) (duration: 01m 10s)

Urbanecm claimed this task.

Done. Declined for bureaucrats removing bureaucrat/sysop status.

neriah added a subscriber: neriah.

@Urbanban,
sysop could not yet grant reviewer permission.

Change 664941 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] hewikisource: Allow sysops to grant/revoke reviewer

https://gerrit.wikimedia.org/r/664941

Change 664941 merged by jenkins-bot:
[operations/mediawiki-config@master] hewikisource: Allow sysops to grant/revoke reviewer

https://gerrit.wikimedia.org/r/664941

Mentioned in SAL (#wikimedia-operations) [2021-02-18T01:56:31Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: fe646957eb9b09377b07545ff194a726fd0cc6c7: hewikisource: Allow sysops to grant/revoke reviewer (T274796) (duration: 01m 07s)